<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 1.9//EN" "https://www.sosy-lab.org/benchexec/benchmark-2.3.dtd">
<benchmark tool="skink" timelimit="15 min" memlimit="15 GB" cpuCores="4">

<require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz"/>

  <resultfiles>**/witness.*</resultfiles>
  
<rundefinition name="SV-COMP24_unreach-call">
  <tasks name="ReachSafety-Arrays">
    <includesfile>../sv-benchmarks/c/ReachSafety-Arrays.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-BitVectors">
    <includesfile>../sv-benchmarks/c/ReachSafety-BitVectors.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-ControlFlow">
    <includesfile>../sv-benchmarks/c/ReachSafety-ControlFlow.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Floats">
    <includesfile>../sv-benchmarks/c/ReachSafety-Floats.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Heap">
    <includesfile>../sv-benchmarks/c/ReachSafety-Heap.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Loops">
    <includesfile>../sv-benchmarks/c/ReachSafety-Loops.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Recursive">
    <includesfile>../sv-benchmarks/c/ReachSafety-Recursive.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
  <tasks name="ReachSafety-Hardware">
    <includesfile>../sv-benchmarks/c/ReachSafety-Hardware.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
</rundefinition>

</benchmark>
